Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Feb 2014 11:43:14 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 26 Jan 2014 21:07:20 -0500
> 
> In specbind we need to add special handling for "per-keyboard variables"
> by setting the `where' slot to hold the corresponding keyboard.
> And then in all the places where the `where' slot is used, adjust the
> code to handle the case where it holds a keyboard rather than a buffer
> (or a frame).
> 
> One problem will bite us along the way: keyboards are not visible as
> Lisp_Object objects.  You'll have to store in `where' the terminal
> object instead.

Will such changes be acceptable during the feature freeze?  Or should
I wait until after the branch?